org.jbpm.ruleflow.core

## Class RuleFlowProcessFactory

- java.lang.Object
- - org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory
  - - org.jbpm.ruleflow.core.RuleFlowProcessFactory

-     public class RuleFlowProcessFactory
      extends RuleFlowNodeContainerFactory

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RuleFlowProcessFactory(String id)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RuleFlowProcessFactory` | `createProcess(String id)`
    `RuleFlowNodeContainerFactory` | `done()`
    `RuleFlowProcessFactory` | `exceptionHandler(String exception, ExceptionHandler exceptionHandler)`
    `RuleFlowProcessFactory` | `exceptionHandler(String exception, String dialect, String action)`
    `RuleFlowProcessFactory` | `functionImports(String... functionImports)`
    `RuleFlowProcess` | `getProcess()`
    `protected RuleFlowProcess` | `getRuleFlowProcess()`
    `RuleFlowProcessFactory` | `global(String name, String type)`
    `RuleFlowProcessFactory` | `globals(Map<String,String> globals)`
    `RuleFlowProcessFactory` | `imports(String... imports)`
    `RuleFlowProcessFactory` | `name(String name)`
    `RuleFlowProcessFactory` | `packageName(String packageName)`
    `RuleFlowProcessFactory` | `swimlane(String name)`
    `RuleFlowProcessFactory` | `validate()`
    `RuleFlowProcessFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type)`
    `RuleFlowProcessFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type, Object value)`
    `RuleFlowProcessFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type, Object value, String metaDataName, Object metaDataValue)`
    `RuleFlowProcessFactory` | `variable(String name, org.drools.core.process.core.datatype.DataType type, String metaDataName, Object metaDataValue)`
    `RuleFlowProcessFactory` | `version(String version)`

    - ### Methods inherited from class org.jbpm.ruleflow.core.RuleFlowNodeContainerFactory

      `actionNode, boundaryEventNode, compositeNode, connection, dynamicNode, endNode, eventNode, faultNode, forEachNode, getNodeContainer, humanTaskNode, joinNode, milestoneNode, ruleSetNode, setNodeContainer, splitNode, startNode, subProcessNode, timerNode, workItemNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleFlowProcessFactory

          protected RuleFlowProcessFactory(String id)

  - ### Method Detail

    - #### createProcess

          public static RuleFlowProcessFactory createProcess(String id)

    - #### getRuleFlowProcess

          protected RuleFlowProcess getRuleFlowProcess()

    - #### name

          public RuleFlowProcessFactory name(String name)

    - #### version

          public RuleFlowProcessFactory version(String version)

    - #### packageName

          public RuleFlowProcessFactory packageName(String packageName)

    - #### imports

          public RuleFlowProcessFactory imports(String... imports)

    - #### functionImports

          public RuleFlowProcessFactory functionImports(String... functionImports)

    - #### globals

          public RuleFlowProcessFactory globals(Map<String,String> globals)

    - #### global

          public RuleFlowProcessFactory global(String name,
                                               String type)

    - #### variable

          public RuleFlowProcessFactory variable(String name,
                                                 org.drools.core.process.core.datatype.DataType type)

    - #### variable

          public RuleFlowProcessFactory variable(String name,
                                                 org.drools.core.process.core.datatype.DataType type,
                                                 Object value)

    - #### variable

          public RuleFlowProcessFactory variable(String name,
                                                 org.drools.core.process.core.datatype.DataType type,
                                                 String metaDataName,
                                                 Object metaDataValue)

    - #### variable

          public RuleFlowProcessFactory variable(String name,
                                                 org.drools.core.process.core.datatype.DataType type,
                                                 Object value,
                                                 String metaDataName,
                                                 Object metaDataValue)

    - #### swimlane

          public RuleFlowProcessFactory swimlane(String name)

    - #### exceptionHandler

          public RuleFlowProcessFactory exceptionHandler(String exception,
                                                         ExceptionHandler exceptionHandler)

    - #### exceptionHandler

          public RuleFlowProcessFactory exceptionHandler(String exception,
                                                         String dialect,
                                                         String action)

    - #### validate

          public RuleFlowProcessFactory validate()

    - #### done

          public RuleFlowNodeContainerFactory done()

      Specified by:
        `done` in class `RuleFlowNodeContainerFactory`

    - #### getProcess

          public RuleFlowProcess getProcess()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.